﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.Common;
using System.Data.SqlClient;

namespace FotbalovyTym
{
    public partial class Form1 : Form
    {
        DB database = new DB();
        private BindingSource bindingSource1 = new BindingSource();
        private SqlDataAdapter dataAdapter = new SqlDataAdapter();

        public Form1()
        {
            InitializeComponent();
            vyplnComboBox();
        }

        private void vycistiOkna()
        {
            jmenoBox.Text = String.Empty;
            prijmeniBox.Text = String.Empty;
            comboBox1.Text = String.Empty;
            vahaBox.Text = String.Empty;
            vyskaBox.Text = String.Empty;
            cisloDresuBox.Text = String.Empty;
        }

        private void pridejButton_Click(object sender, EventArgs e)
        {

            try
            {
                Hrac hrac = new Hrac(jmenoBox.Text, prijmeniBox.Text, comboBox1.Text, Convert.ToInt32(vahaBox.Text), Convert.ToInt32(vyskaBox.Text), Convert.ToInt32(cisloDresuBox.Text));
                database.pridejHrace(hrac);
                this.tableTableAdapter.Fill(this.databazeHracuDataSet.Table);
                vycistiOkna();
                
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message.ToString());
            }
            
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            
        }

        void vyplnComboBox()
        {
            try
            {
                SqlConnection conn = new SqlConnection(Properties.Settings.Default.databazeHracuConnectionString);
                conn.Open();
                string query = "SELECT [Pozice] FROM [dbo].[Pozice]";
                SqlCommand cmd = new SqlCommand(query, conn);
                SqlDataReader reader = cmd.ExecuteReader();

                while (reader.Read())
                {
                    string sName = reader[0].ToString();
                    comboBox1.Items.Add(sName);
                }
                reader.Close();
                conn.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message.ToString());
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'databazeHracuDataSet.Table' table. You can move, or remove it, as needed.
            this.tableTableAdapter.Fill(this.databazeHracuDataSet.Table);

        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            
        }

        private void dataGridView1_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                int index = dataGridView1.CurrentCell.RowIndex;
                // 0 je index, visible false
                jmenoBox.Text = dataGridView1[1, index].Value.ToString();
                prijmeniBox.Text = dataGridView1[2, index].Value.ToString();
                comboBox1.Text = dataGridView1[3, index].Value.ToString();
                vyskaBox.Text = dataGridView1[4, index].Value.ToString();
                vahaBox.Text = dataGridView1[5, index].Value.ToString();
                cisloDresuBox.Text = dataGridView1[6, index].Value.ToString();
            }
            catch(Exception ex)
            {
                Console.WriteLine(ex);
            }
        }

        private void smazButton_Click(object sender, EventArgs e)
        {
            int index = dataGridView1.CurrentCell.RowIndex;
            int idToDelete = Convert.ToInt32(dataGridView1[0, index].Value.ToString());
            database.smazHrace(idToDelete);
            this.tableTableAdapter.Fill(this.databazeHracuDataSet.Table);
            vycistiOkna();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            try
            {
                int index = dataGridView1.CurrentCell.RowIndex;
                int idToModify = Convert.ToInt32(dataGridView1[0, index].Value.ToString());
                Hrac hrac = new Hrac(jmenoBox.Text, prijmeniBox.Text, comboBox1.Text, Convert.ToInt32(vahaBox.Text), Convert.ToInt32(vyskaBox.Text), Convert.ToInt32(cisloDresuBox.Text));
                database.upravHrace(hrac, idToModify);
                this.tableTableAdapter.Fill(this.databazeHracuDataSet.Table);
                vycistiOkna();

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message.ToString());
            }

        }

    }
}
